import { GraphQLSchema, GraphQLFieldResolver } from 'graphql';
import { SubscriptionClient } from 'subscriptions-transport-ws';
export interface MeteorExtentionRootTypesInfo {
    query: string;
    mutation: string;
    subscription: string;
}
export interface MeteorExtentionConfig {
    typeDefs: string;
    resolvers: {
        [typeName: string]: {
            [fieldName: string]: GraphQLFieldResolver<any, any>;
        };
    };
}
export declare function addMeteorExtentions(schema: GraphQLSchema): GraphQLSchema;
export declare function extendGraphiql(): string;
export declare function initClient(networkInterface: SubscriptionClient): void;
